Subject: Re: bug#16048: 24.3.50; String compare surprise

From: Stefan Monnier <[email-masked]>
Date: Thu, 05 Dec 2013 14:11:11 -0500

> Just to make it clear: Emacs is perfectly capable of holding raw bytes
> in multibyte strings.  That's why we have the eight-bit charset.

When manipulating sequences of bytes (as opposed to sequences of chars),
I find it is preferable to use unibyte strings.

Indeed, multibyte strings can work as well, but they can be more tricky
to work with since `aref' returns a "eight-bit byte" character rather
than a value between 128-255.

Of course, if your string can contain a mix of bytes and chars, you
don't have a choice.

        Stefan